import { IsRequired, IsRequiredConstructor, CanDisable, CanDisableConstructor, IsReadonly, IsReadonlyConstructor, IsGrouped, IsGroupedConstructor, IsFocused, IsFocusedConstructor, HasError, HasErrorConstructor } from '@bravobit/bb-foundation';
import { OnInit, TemplateRef } from '@angular/core';
import { BbFormError } from '../directives/form-error.directive';
import { Observable } from 'rxjs';
declare class BbFormControlBase {
}
declare const BbFormControlMixinBase: IsRequiredConstructor & IsGroupedConstructor & IsFocusedConstructor & IsReadonlyConstructor & CanDisableConstructor & HasErrorConstructor & typeof BbFormControlBase;
export declare class BbFormControl extends BbFormControlMixinBase implements OnInit, IsRequired, IsFocused, IsReadonly, IsGrouped, CanDisable, HasError {
    formError: BbFormError;
    label: string | TemplateRef<any> | null;
    hint: string | TemplateRef<any> | null;
    customErrors: {
        [error: string]: string | {
            token: string;
            data?: any;
        };
    };
    arrow: boolean;
    hideErrors: any;
    private _hideErrors;
    labelId: string;
    error$: Observable<{
        token: string;
        data?: any;
    } | null>;
    ngOnInit(): void;
}
export {};
